#include <stdio.h>
#include "bnoise.h"

int main(){
  int order = 1;
  srand(42);
  BNoise* noise = BNoiseAlloc(order);
  float pos[2] = {1.0, 2.0};
  float val = BNoiseGet(noise, pos);
  printf("(%f,%f)->%f\n", pos[0], pos[1], val);
  BNoiseFree(&noise);
  return 0;
}

// Compile with:
// gcc -o main main.c bnoise.c -lm
// Example of output:
// (1.000000,2.000000)->0.353156
